com.thinkaurelius.titan.diskstorage.util

## Enum UncaughtExceptionLogger.UELevel

- java.lang.Object
- - java.lang.Enum<UncaughtExceptionLogger.UELevel>
  - - com.thinkaurelius.titan.diskstorage.util.UncaughtExceptionLogger.UELevel

- All Implemented Interfaces:
    Serializable, Comparable<UncaughtExceptionLogger.UELevel>
  Enclosing class:
    UncaughtExceptionLogger

      public static enum UncaughtExceptionLogger.UELevel
      extends Enum<UncaughtExceptionLogger.UELevel>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEBUG`
    `ERROR`
    `INFO`
    `TRACE`
    `WARN`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(String message, Throwable t)`
    `static UncaughtExceptionLogger.UELevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UncaughtExceptionLogger.UELevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TRACE

          public static final UncaughtExceptionLogger.UELevel TRACE

    - #### DEBUG

          public static final UncaughtExceptionLogger.UELevel DEBUG

    - #### INFO

          public static final UncaughtExceptionLogger.UELevel INFO

    - #### WARN

          public static final UncaughtExceptionLogger.UELevel WARN

    - #### ERROR

          public static final UncaughtExceptionLogger.UELevel ERROR

  - ### Method Detail

    - #### values

          public static UncaughtExceptionLogger.UELevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UncaughtExceptionLogger.UELevel c : UncaughtExceptionLogger.UELevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UncaughtExceptionLogger.UELevel valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### dispatch

          public void dispatch(String message,
                      Throwable t)

Copyright © 2012–2014. All rights reserved.